iOS 9 beta requires iTunes 12?

Discussion in 'iOS 9' started by Tritto, Sep 7, 2015.

  1. Tritto macrumors member

    Joined:
    Jan 29, 2014
    #1
    Quick question for you guys using iOS 9 betas. Does it require iTunes 12.2.2?

    I'm currently on iOS 7.1.2 for my 5S and iPad and thinking about updating to iOS 9 when it's released. However, I've been avoiding iTunes 12 because it seems even less flexible than iTunes 11 and 12 trashed 1/2 my wife's music files when she accidentally installed it.

    Is the public beta currently requiring you to have iTunes 12 installed for syncing/iOS device upgrades?
     
  2. atwater macrumors member

    Joined:
    Jun 11, 2015
    #2
    Correct me if i'm wrong, but you can update your phone from 7.12 to 9.0 Over the Air. So you don't need to go trough you MAC/PC.
     
  3. Tritto thread starter macrumors member

    Joined:
    Jan 29, 2014
    #3
    Thanks Atwater. I think I've found in the past when I updated my iPad 4 to iOS 7 that if I wanted to back up on my laptop or sync with my iTunes (W7) I got a message telling me I had to update to the new iTunes.
     
  4. mizxco macrumors 6502a

    mizxco

    Joined:
    Jun 17, 2014
    #4
    Sometimes, an iOS beta comes with an iTunes beta too. It wasn't the case for iOS 9.
    However there's always a chance they will release a new version of iTunes after the keynote,

    Is it required to have the latest iTunes to sync with iOS 9? We'll have to find out when GM comes out.
     
  5. Tritto thread starter macrumors member

    Joined:
    Jan 29, 2014
    #5
    So the answer is not at the moment, but wait and see with the final release. Thanks guys. :)
     

Share This Page